<template lang="pug">
.app-badge.py-1.px-2.rounded-lg.font-weight-500(:class='[variantClass]')
    slot
</template>
<script>
export default {
    name: 'AppBadge',
    props: {
        variant: {
            type: String,
            default: 'primary',
        },
    },
    computed: {
        variantClass() {
            return `bg-${this.variant}-light text-${this.variant}`
        },
    },
}
</script>

<style lang="scss" scoped src="./index.scss"></style>